Package org.apache.jasper.el

## Class JspValueExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.ValueExpression
    - - org.apache.jasper.el.JspValueExpression

All Implemented Interfaces:
  `java.io.Externalizable`, `java.io.Serializable`

    public final class JspValueExpression
    extends ValueExpression
    implements java.io.Externalizable

Wrapper for providing context to ValueExpressions

Author:
  Jacob Hookom
See Also:
  Serialized Form

### Constructor Summary

Constructors
`JspValueExpression()`
`JspValueExpression​(java.lang.String mark, ValueExpression target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.Class<?>` `getExpectedType()`
`java.lang.String` `getExpressionString()`
`java.lang.Class<?>` `getType​(ELContext context)`
`java.lang.Object` `getValue​(ELContext context)`
`int` `hashCode()`
`boolean` `isLiteralText()`
`boolean` `isReadOnly​(ELContext context)`
`void` `readExternal​(java.io.ObjectInput in)`
`void` `setValue​(ELContext context, java.lang.Object value)`
`void` `writeExternal​(java.io.ObjectOutput out)`

### Methods inherited from class javax.el.ValueExpression

`getValueReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspValueExpression

    public JspValueExpression()

#### JspValueExpression

    public JspValueExpression​(java.lang.String mark,
                              ValueExpression target)

### Method Detail

#### getExpectedType

    public java.lang.Class<?> getExpectedType()

Specified by:
  `getExpectedType` in class `ValueExpression`

#### getType

    public java.lang.Class<?> getType​(ELContext context)
                               throws java.lang.NullPointerException,
                                      PropertyNotFoundException,
                                      ELException

Specified by:
  `getType` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  The type of the result of this value expression
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
  `ELException` - Wraps any exception throw whilst resolving a property or variable

#### isReadOnly

    public boolean isReadOnly​(ELContext context)
                       throws java.lang.NullPointerException,
                              PropertyNotFoundException,
                              ELException

Specified by:
  `isReadOnly` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  `true` if this expression is read only otherwise `false`
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
  `ELException` - Wraps any exception throw whilst resolving a property or variable

#### setValue

    public void setValue​(ELContext context,
                         java.lang.Object value)
                  throws java.lang.NullPointerException,
                         PropertyNotFoundException,
                         PropertyNotWritableException,
                         ELException

Specified by:
  `setValue` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
  `value` - The value to set the property to which this value expression refers
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `PropertyNotFoundException` - If a property/variable resolution failed because no match was found
  `PropertyNotWritableException` - If a property/variable resolution failed because a match was found but was not writable
  `ELException` - Wraps any exception throw whilst resolving a property or variable

#### getValue

    public java.lang.Object getValue​(ELContext context)
                              throws java.lang.NullPointerException,
                                     PropertyNotFoundException,
                                     ELException

Specified by:
  `getValue` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  The result of evaluating this value expression
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
  `ELException` - Wraps any exception throw whilst resolving a property or variable

#### equals

    public boolean equals​(java.lang.Object obj)

Specified by:
  `equals` in class `Expression`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Expression`

#### getExpressionString

    public java.lang.String getExpressionString()

Specified by:
  `getExpressionString` in class `Expression`

#### isLiteralText

    public boolean isLiteralText()

Specified by:
  `isLiteralText` in class `Expression`

#### writeExternal

    public void writeExternal​(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal​(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`